# Class LifecycleBasePlugin

java.lang.Object
org.gradle.language.base.plugins.LifecycleBasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class LifecycleBasePlugin extends Object implements Plugin<Project>

A `Plugin` which defines a basic project lifecycle.

Since:
  2.0
See Also:
  - Base plugin reference

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSEMBLE_TASK_NAME`
  The assemble task name.
  `static final String`
  `BUILD_GROUP`
  The build group.
  `static final String`
  `BUILD_TASK_NAME`
  The build task name.
  `static final String`
  `CHECK_TASK_NAME`
  The check task name.
  `static final String`
  `CLEAN_TASK_NAME`
  The clean task name.
  `static final String`
  `VERIFICATION_GROUP`
  The verification group.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LifecycleBasePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLEAN_TASK_NAME

    public static final String CLEAN_TASK_NAME
    The clean task name.
    Since:
      2.0
    See Also:
      - Constant Field Values

  - ### ASSEMBLE_TASK_NAME

    public static final String ASSEMBLE_TASK_NAME
    The assemble task name.
    Since:
      2.0
    See Also:
      - Constant Field Values

  - ### CHECK_TASK_NAME

    public static final String CHECK_TASK_NAME
    The check task name.
    Since:
      2.3
    See Also:
      - Constant Field Values

  - ### BUILD_TASK_NAME

    public static final String BUILD_TASK_NAME
    The build task name.
    Since:
      2.3
    See Also:
      - Constant Field Values

  - ### BUILD_GROUP

    public static final String BUILD_GROUP
    The build group.
    Since:
      2.0
    See Also:
      - Constant Field Values

  - ### VERIFICATION_GROUP

    public static final String VERIFICATION_GROUP
    The verification group.
    Since:
      2.3
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LifecycleBasePlugin

    public LifecycleBasePlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object